summaryrefslogtreecommitdiffstats
path: root/third_party/rust/jsparagus/.metrics/populate_fuzzbug.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/jsparagus/.metrics/populate_fuzzbug.sh')
-rwxr-xr-xthird_party/rust/jsparagus/.metrics/populate_fuzzbug.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/third_party/rust/jsparagus/.metrics/populate_fuzzbug.sh b/third_party/rust/jsparagus/.metrics/populate_fuzzbug.sh
new file mode 100755
index 0000000000..af48d566b1
--- /dev/null
+++ b/third_party/rust/jsparagus/.metrics/populate_fuzzbug.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -ue # its like javascript, everything is allowed unless you prevent it.
+
+topdir=$(git rev-parse --show-toplevel)
+
+cd $topdir/.metrics
+
+url="https://api.github.com/repos/mozilla-spidermonkey/jsparagus/issues?labels=libFuzzer&state=all"
+
+curl $url > count/fuzzbug.json
+python fuzzbug_count_badge.py
+git add .
+git commit -m"Add Fuzzbug date"
+python fuzzbug_date_badge.py
+
+git add .
+
+git commit -m"Add Fuzzbug count"